/***文档注释***********************************************
 * 作者            ：
 * 创建日期     ：2018-08-20
 * 描述            ：二级接口-宝信罩退炉PDO-过程事件
 * 注意事项     ：
 * 遗留BUG   ：
 * 修改日期     ：
 * 修改人员     ：
 * 修改内容     ：
***********************************************************/
package market.Mes.anneal.vo;
import java.io.Serializable;
import java.util.Date;

import market.Mes.anneal.mapper.IfBaf01PdoProcMapper;

import com.fasterxml.jackson.annotation.JsonFormat;
import com.hnshituo.basic.vo.BaseVO;
import com.hnshituo.orm.annotation.Column;
import com.hnshituo.orm.annotation.Table;

@Table(name="IF_BAF01_PDO_PROC", namespace=IfBaf01PdoProcMapper.class)
public class IfBaf01PdoProc extends BaseVO implements Serializable {
	/** 
	 * 消息时间
	 */ 
	@Column
	@JsonFormat(pattern = "yyyy-MM-dd HH:mm:ss")
	private Date msg_time;
	public Date getMsg_time() {
		return this.msg_time;
	}
	public void setMsg_time(Date msg_time) {
		this.msg_time = msg_time;
	}

	/** 
	 * 入口材料号1
	 */ 
	@Column
	private String in_mat_no_1;
	public String getIn_mat_no_1() {
		return this.in_mat_no_1;
	}
	public void setIn_mat_no_1(String in_mat_no_1) {
		this.in_mat_no_1 = in_mat_no_1;
	}

	/** 
	 * 作业计划号1
	 */ 
	@Column
	private String plan_no_1;
	public String getPlan_no_1() {
		return this.plan_no_1;
	}
	public void setPlan_no_1(String plan_no_1) {
		this.plan_no_1 = plan_no_1;
	}

	/** 
	 * 炉内序号1
	 */ 
	@Column
	private Long in_fur_seq_1;
	public Long getIn_fur_seq_1() {
		return this.in_fur_seq_1;
	}
	public void setIn_fur_seq_1(Long in_fur_seq_1) {
		this.in_fur_seq_1 = in_fur_seq_1;
	}

	/** 
	 * 入口材料号2
	 */ 
	@Column
	private String in_mat_no_2;
	public String getIn_mat_no_2() {
		return this.in_mat_no_2;
	}
	public void setIn_mat_no_2(String in_mat_no_2) {
		this.in_mat_no_2 = in_mat_no_2;
	}

	/** 
	 * 作业计划号2
	 */ 
	@Column
	private String plan_no_2;
	public String getPlan_no_2() {
		return this.plan_no_2;
	}
	public void setPlan_no_2(String plan_no_2) {
		this.plan_no_2 = plan_no_2;
	}

	/** 
	 * 炉内序号2
	 */ 
	@Column
	private Long in_fur_seq_2;
	public Long getIn_fur_seq_2() {
		return this.in_fur_seq_2;
	}
	public void setIn_fur_seq_2(Long in_fur_seq_2) {
		this.in_fur_seq_2 = in_fur_seq_2;
	}

	/** 
	 * 入口材料号3
	 */ 
	@Column
	private String in_mat_no_3;
	public String getIn_mat_no_3() {
		return this.in_mat_no_3;
	}
	public void setIn_mat_no_3(String in_mat_no_3) {
		this.in_mat_no_3 = in_mat_no_3;
	}

	/** 
	 * 作业计划号3
	 */ 
	@Column
	private String plan_no_3;
	public String getPlan_no_3() {
		return this.plan_no_3;
	}
	public void setPlan_no_3(String plan_no_3) {
		this.plan_no_3 = plan_no_3;
	}

	/** 
	 * 炉内序号3
	 */ 
	@Column
	private Long in_fur_seq_3;
	public Long getIn_fur_seq_3() {
		return this.in_fur_seq_3;
	}
	public void setIn_fur_seq_3(Long in_fur_seq_3) {
		this.in_fur_seq_3 = in_fur_seq_3;
	}

	/** 
	 * 入口材料号4
	 */ 
	@Column
	private String in_mat_no_4;
	public String getIn_mat_no_4() {
		return this.in_mat_no_4;
	}
	public void setIn_mat_no_4(String in_mat_no_4) {
		this.in_mat_no_4 = in_mat_no_4;
	}

	/** 
	 * 作业计划号4
	 */ 
	@Column
	private String plan_no_4;
	public String getPlan_no_4() {
		return this.plan_no_4;
	}
	public void setPlan_no_4(String plan_no_4) {
		this.plan_no_4 = plan_no_4;
	}

	/** 
	 * 炉内序号4
	 */ 
	@Column
	private Long in_fur_seq_4;
	public Long getIn_fur_seq_4() {
		return this.in_fur_seq_4;
	}
	public void setIn_fur_seq_4(Long in_fur_seq_4) {
		this.in_fur_seq_4 = in_fur_seq_4;
	}

	/** 
	 * 入口材料号5
	 */ 
	@Column
	private String in_mat_no_5;
	public String getIn_mat_no_5() {
		return this.in_mat_no_5;
	}
	public void setIn_mat_no_5(String in_mat_no_5) {
		this.in_mat_no_5 = in_mat_no_5;
	}

	/** 
	 * 作业计划号5
	 */ 
	@Column
	private String plan_no_5;
	public String getPlan_no_5() {
		return this.plan_no_5;
	}
	public void setPlan_no_5(String plan_no_5) {
		this.plan_no_5 = plan_no_5;
	}

	/** 
	 * 炉内序号5
	 */ 
	@Column
	private Long in_fur_seq_5;
	public Long getIn_fur_seq_5() {
		return this.in_fur_seq_5;
	}
	public void setIn_fur_seq_5(Long in_fur_seq_5) {
		this.in_fur_seq_5 = in_fur_seq_5;
	}

	/** 
	 * 入口材料号6
	 */ 
	@Column
	private String in_mat_no_6;
	public String getIn_mat_no_6() {
		return this.in_mat_no_6;
	}
	public void setIn_mat_no_6(String in_mat_no_6) {
		this.in_mat_no_6 = in_mat_no_6;
	}

	/** 
	 * 作业计划号6
	 */ 
	@Column
	private String plan_no_6;
	public String getPlan_no_6() {
		return this.plan_no_6;
	}
	public void setPlan_no_6(String plan_no_6) {
		this.plan_no_6 = plan_no_6;
	}

	/** 
	 * 炉内序号6
	 */ 
	@Column
	private Long in_fur_seq_6;
	public Long getIn_fur_seq_6() {
		return this.in_fur_seq_6;
	}
	public void setIn_fur_seq_6(Long in_fur_seq_6) {
		this.in_fur_seq_6 = in_fur_seq_6;
	}

	/** 
	 * 入口材料号7
	 */ 
	@Column
	private String in_mat_no_7;
	public String getIn_mat_no_7() {
		return this.in_mat_no_7;
	}
	public void setIn_mat_no_7(String in_mat_no_7) {
		this.in_mat_no_7 = in_mat_no_7;
	}

	/** 
	 * 作业计划号7
	 */ 
	@Column
	private String plan_no_7;
	public String getPlan_no_7() {
		return this.plan_no_7;
	}
	public void setPlan_no_7(String plan_no_7) {
		this.plan_no_7 = plan_no_7;
	}

	/** 
	 * 炉内序号7
	 */ 
	@Column
	private Long in_fur_seq_7;
	public Long getIn_fur_seq_7() {
		return this.in_fur_seq_7;
	}
	public void setIn_fur_seq_7(Long in_fur_seq_7) {
		this.in_fur_seq_7 = in_fur_seq_7;
	}

	/** 
	 * 入口材料号8
	 */ 
	@Column
	private String in_mat_no_8;
	public String getIn_mat_no_8() {
		return this.in_mat_no_8;
	}
	public void setIn_mat_no_8(String in_mat_no_8) {
		this.in_mat_no_8 = in_mat_no_8;
	}

	/** 
	 * 作业计划号8
	 */ 
	@Column
	private String plan_no_8;
	public String getPlan_no_8() {
		return this.plan_no_8;
	}
	public void setPlan_no_8(String plan_no_8) {
		this.plan_no_8 = plan_no_8;
	}

	/** 
	 * 炉内序号8
	 */ 
	@Column
	private Long in_fur_seq_8;
	public Long getIn_fur_seq_8() {
		return this.in_fur_seq_8;
	}
	public void setIn_fur_seq_8(Long in_fur_seq_8) {
		this.in_fur_seq_8 = in_fur_seq_8;
	}

	/** 
	 * 事件标识（0000：组垛完成、0001：上炉台、0002：扣加热罩、0003：加热开始、0004：加热结束、0005：带罩冷却开始、0006：带罩冷却结束、0007：风冷开始、0008：风冷结束、0009：水冷开始、0010：水冷结束、0011：出炉/上终冷台、0012：下终冷台）
	 */ 
	@Column
	private String event_id;
	public String getEvent_id() {
		return this.event_id;
	}
	public void setEvent_id(String event_id) {
		this.event_id = event_id;
	}

	/** 
	 * 事件发生时刻
	 */ 
	@Column
	private String event_time;
	public String getEvent_time() {
		return this.event_time;
	}
	public void setEvent_time(String event_time) {
		this.event_time = event_time;
	}

	/** 
	 * 班次
	 */ 
	@Column
	private String prod_shift_no;
	public String getProd_shift_no() {
		return this.prod_shift_no;
	}
	public void setProd_shift_no(String prod_shift_no) {
		this.prod_shift_no = prod_shift_no;
	}

	/** 
	 * 班组
	 */ 
	@Column
	private String prod_shift_group;
	public String getProd_shift_group() {
		return this.prod_shift_group;
	}
	public void setProd_shift_group(String prod_shift_group) {
		this.prod_shift_group = prod_shift_group;
	}

	/** 
	 * 炉座号
	 */ 
	@Column
	private String furnace_no;
	public String getFurnace_no() {
		return this.furnace_no;
	}
	public void setFurnace_no(String furnace_no) {
		this.furnace_no = furnace_no;
	}

	/** 
	 * 炉次号
	 */ 
	@Column
	private String furnace_batch_no;
	public String getFurnace_batch_no() {
		return this.furnace_batch_no;
	}
	public void setFurnace_batch_no(String furnace_batch_no) {
		this.furnace_batch_no = furnace_batch_no;
	}

	/** 
	 * 加热罩号
	 */ 
	@Column
	private String heat_hood;
	public String getHeat_hood() {
		return this.heat_hood;
	}
	public void setHeat_hood(String heat_hood) {
		this.heat_hood = heat_hood;
	}

	/** 
	 * 冷却罩号
	 */ 
	@Column
	private String cool_hood;
	public String getCool_hood() {
		return this.cool_hood;
	}
	public void setCool_hood(String cool_hood) {
		this.cool_hood = cool_hood;
	}

	/** 
	 * 终冷台号
	 */ 
	@Column
	private String fc_no;
	public String getFc_no() {
		return this.fc_no;
	}
	public void setFc_no(String fc_no) {
		this.fc_no = fc_no;
	}

}
